## ros-one-jsk-perception 1.2.19-6jammy.20251031.2114

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-6jammy.20251031.2114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 31 Oct 2025 21:14:05 +0000

ros-one-jsk-perception (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-perception (1.2.18-0jammy) jammy; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * [jsk_perception/sample/apply_mask] Add clip and negative option for users (#2707 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2707>)
  * fix tile image (#2875 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2875>)
  * collections.abc.Sequence does not work on python2 (#2872 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2872>)
  * use cv2.putText if font is not found (#2868 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2868>)
  * add use_mask param in solidity_rag_merge (#2855 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2855>)
  * publish compressed tile image (#2857 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2857>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-perception (1.2.17-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-perception (1.2.16-0jammy) jammy; urgency=high

  * [AWS] use logdebug when detect face (#2766 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2766>)
  * Aws face update (#2744 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2744>)
  * [jsk_perception] Add invert_mask_image nodelet (#2726 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2726>)
  * [jsk_perception] Support compressed type image in vil_inference_client.py (#2800 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2800>)
  * [jsk_perception] Fix Cosine Similarity description in visualize  string msg of classification_node (#2794 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2794>)
  * fix ofa docker build (#2784 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2784>)
  * [jsk_perception][insta360][dual_fisheye_to_panorama] Add always subscribe arg (#2777 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2777>)
  * [feature] VQA using Large-Scale Vision and Language model (#2730 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2730>)
  * [jsk_perception] Fix nodehandle in point_pose_extractor (#2779 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2779>)
  * [jsk_perception] Use cpp version of split_image in sample_insta360_air.launch (#2772 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2772>)
  * [split_image] add cpp version of split_image (#2770 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2770>)
  * add video to scene (#2736 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2736>)
  * [jsk_perception/point_pose_extractor] Use DiagnosticNodelet to improve subscribing (#2722 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2722>)
  * [jsk_perception] Poke in dual_fisheye_to_panorama for DiagnosticNodelet (#2734 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2734>)
  * add image_height and image_width in PanoramaInfo (#2753 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2753>)
  * [jsk_perception] Add header to output/vis (#2758 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2758>)
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * [jsk_perception] support image_transport in DualFisheyeToPanorama (#2745 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2745>)
  * [jsk_perception/dualfisheye_panorama] poke in callback (#2690 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2690>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * [feature] removing blurred frames node (#2718 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2718>)
  * Parameterize DualFisheyeToPanorama node (#2642 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2642>)
  * [jsk_perception/apply_mask] Avoid error in cvtColor when masked_image is empty (#2725 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2725>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [jsk_perception/mask_image_to_rect] Add rect_type option to publish rects containing each contour of mask image (#2728 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2728>)
  * [jsk_perception/VirtualCameraMono] Add queue_size param (#2724 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2724>)
  * [jsk_perception][jsk_pcl_ros_utils][resized_image_transport] Call onInitPostProcess() (#2719 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2719>)
  * [jsk_perception] return when camera info message is None (#2676 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2676>)
  * [jsk_perception/aws_auto_checkin_app] Use search_faces_by_image() of Amazon Rekognition (#2716 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2716>)
  * [jsk_perception/robot_to_mask_image] Fix image size considering binning (#2713 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2713>)


## ros-one-jsk-perception 1.2.19-6noble.20251031.2113

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_perception)

# ------------------------------------------------------------------------------------
# Initialization
#  1. Resolve dependencies with find_package
#  2. Set build flags
# ------------------------------------------------------------------------------------

# Use ccache if installed to make it fast to generate object files
if (${CMAKE_VERSION} VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif()
endif()

find_package(catkin REQUIRED COMPONENTS
  angles
  cmake_modules
  cv_bridge
  dynamic_reconfigure
  geometry_msgs
  image_geometry
  image_transport
  image_view2
  jsk_data
  jsk_recognition_msgs
  jsk_recognition_utils
  jsk_topic_tools
  message_generation
  mk
  nodelet
  opencv_apps
  pcl_ros
  posedetection_msgs
  roscpp
  rospack
  sensor_msgs
  std_msgs
  tf)

find_package(roseus)

catkin_python_setup()

find_package(Boost REQUIRED COMPONENTS filesystem system)

find_package(OpenCV REQUIRED)
message("OPENCV ${OpenCV_VERSION} FOUND")

find_package(Eigen3)
if(EIGEN3_FOUND)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
else()
  # Fallback to cmake_modules
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

include(FindPkgConfig)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
if(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
endif()

pkg_check_modules(libcmt REQUIRED libcmt)

# robot_self_filter is released on version greater than indigo
find_package(robot_self_filter QUIET)
if(NOT robot_self_filter_FOUND)
  # check existence of robot_self_filter package because robot_self_filter is not installed by apt on version less than indigo
  find_package(PkgConfig)
  pkg_check_modules(robot_self_filter robot_self_filter QUIET)
endif()

find_package(OpenMP)
if(OPENMP_FOUND)
  message("OPENMP FOUND")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()
add_definitions("-g -O2")
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

# ------------------------------------------------------------------------------------
# Download
# ------------------------------------------------------------------------------------

# download and install learning datasets
add_custom_target(${PROJECT_NAME}_install_learning_datasets ALL COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/scripts/install_learning_datasets.py)
# download and install sample data
add_custom_target(${PROJECT_NAME}_install_sample_data ALL COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/scripts/install_sample_data.py)
# download and install trained data
add_custom_target(${PROJECT_NAME}_install_trained_data ALL COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/scripts/install_trained_data.py)

# ------------------------------------------------------------------------------------
# Catkin setup
# ------------------------------------------------------------------------------------

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(
  cfg/ConcaveHullMaskImage.cfg
  cfg/CRAFT.cfg
  cfg/RectArrayActualSizeFilter.cfg
  cfg/PolygonArrayColorLikelihood.cfg
  cfg/PolygonArrayColorHistogram.cfg
  cfg/TabletopColorDifferenceLikelihood.cfg
  cfg/ProjectImagePoint.cfg
  cfg/MaskImageGenerator.cfg
  cfg/MaskImageToRect.cfg
  cfg/MorphologicalMaskImageOperator.cfg
  cfg/BlobDetector.cfg
  cfg/SingleChannelHistogram.cfg
  cfg/ColorHistogramLabelMatch.cfg
  cfg/GridLabel.cfg
  cfg/SLICSuperPixels.cfg
  cfg/SnakeSegmentation.cfg
  cfg/camshiftdemo.cfg
  cfg/matchtemplate.cfg
  cfg/point_pose_extractor.cfg
  cfg/RectangleDetector.cfg
  cfg/ColorHistogram.cfg
  cfg/ColorHistogramSlidingMatcher.cfg
  cfg/BackgroundSubstraction.cfg
  cfg/GrabCut.cfg
  cfg/DepthImageFilter.cfg
  cfg/Fisheye.cfg
  cfg/DualFisheye.cfg
  cfg/SlidingWindowObjectDetector.cfg
  cfg/ImagePublisher.cfg
  cfg/ExtractImageChannel.cfg
  cfg/GaussianBlur.cfg
  cfg/KMeans.cfg
  cfg/ImageTimeDiff.cfg
  cfg/OCR.cfg
  cfg/OverlayImageColorOnMono.cfg
  cfg/SelectiveSearch.cfg
  cfg/LabelToMaskImage.cfg
  cfg/FlowVelocityThresholding.cfg
  cfg/FilterMaskImageWithSize.cfg
  cfg/FastRCNN.cfg
  cfg/DrawRects.cfg
  cfg/FacePoseEstimation.cfg
  cfg/LabelImageDecomposer.cfg
  cfg/SSDObjectDetector.cfg
  cfg/MaskRCNNInstanceSegmentation.cfg
  cfg/VirtualCameraMono.cfg
  cfg/AWSDetectFaces.cfg
  cfg/RemoveBlurredFrames.cfg
  cfg/VQA.cfg
  cfg/Classification.cfg
  cfg/VideoToScene.cfg
)

message(WARNING "DEPRECATION WARNING: srv files in jsk_pcl_ros are deprecated."
        " Please use those in jsk_recognition_msgs.")
# TODO(wkentaro): Remove deprecated srv files.
add_service_files(FILES
  EuclideanSegment.srv
  NonMaximumSuppression.srv
  SetTemplate.srv
  WhiteBalancePoints.srv
  WhiteBalance.srv
)

generate_messages(
  DEPENDENCIES std_msgs sensor_msgs geometry_msgs jsk_recognition_msgs
)

catkin_package(
  CATKIN_DEPENDS
  geometry_msgs
  jsk_recognition_msgs
  jsk_recognition_utils
  message_runtime
  posedetection_msgs
  sensor_msgs
  std_msgs
  DEPENDS
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME} oriented_gradient
)


# ------------------------------------------------------------------------------------
# Build
# ------------------------------------------------------------------------------------
if(NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/slic/slic.cpp)
  message(WARNING "slic/slic.cpp is not exists, download this")
  execute_process(COMMAND git submodule init slic   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  execute_process(COMMAND git submodule update slic WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/node_scripts/deep_sort/deep_sort/README.md)
  message(WARNING "node_scripts/deep_sort/deep_sort is not exists, download this")
  execute_process(COMMAND git submodule init deep_sort   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/node_scripts/deep_sort)
  execute_process(COMMAND git submodule update deep_sort WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/node_scripts/deep_sort)
endif()

# Build nodelet executables
include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} slic ${libcmt_INCLUDE_DIRS})
if(robot_self_filter_FOUND)
  include_directories(${robot_self_filter_INCLUDE_DIRS})
endif()
link_directories(${libcmt_LIBRARY_DIRS})

file(GLOB ${PROJECT_NAME}_node_scripts ${PROJECT_SOURCE_DIR}/node_scripts/*)
foreach(_node_script ${${PROJECT_NAME}_node_scripts})
  get_filename_component(_node_name ${_node_script} NAME_WE)
  get_filename_component(_basename ${_node_script} NAME)
  if(NOT EXISTS ${PROJECT_SOURCE_DIR}/test/${_node_name}.test)
    list(APPEND ${PROJECT_NAME}_nodes_without_test node_scripts/${_basename})
  endif()
endforeach()

macro(jsk_add_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  if(NOT EXISTS "${PROJECT_SOURCE_DIR}/test/${_single_nodelet_exec_name}.test")
    list(APPEND ${PROJECT_NAME}_nodes_without_test ${_nodelet_cpp})
  endif()
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    ${PROJECT_NAME}_nodelet_sources ${PROJECT_NAME}_nodelet_executables)
endmacro()

jsk_add_nodelet(src/filter_mask_image_with_size.cpp "jsk_perception/FilterMaskImageWithSize" "filter_mask_image_with_size")
jsk_add_nodelet(src/flow_velocity_thresholding.cpp "jsk_perception/FlowVelocityThresholding" "flow_velocity_thresholding")
jsk_add_nodelet(src/bounding_box_to_rect.cpp "jsk_perception/BoundingBoxToRect" "bounding_box_to_rect")
jsk_add_nodelet(src/rect_array_actual_size_filter.cpp "jsk_perception/RectArrayActualSizeFilter" "rect_array_actual_size_filter")
jsk_add_nodelet(src/rect_array_to_density_image.cpp "jsk_perception/RectArrayToDensityImage" "rect_array_to_density_image")
jsk_add_nodelet(src/polygon_array_color_likelihood.cpp "jsk_perception/PolygonArrayColorLikelihood" "polygon_array_color_likelihood")
jsk_add_nodelet(src/polygon_array_color_histogram.cpp "jsk_perception/PolygonArrayColorHistogram" "polygon_array_color_histogram")
jsk_add_nodelet(src/sparse_image_encoder.cpp "jsk_perception/SparseImageEncoder" "sparse_image_encoder")
jsk_add_nodelet(src/sparse_image_decoder.cpp "jsk_perception/SparseImageDecoder" "sparse_image_decoder")
jsk_add_nodelet(src/color_histogram.cpp "jsk_perception/ColorHistogram" "color_histogram")
jsk_add_nodelet(src/background_substraction_nodelet.cpp "jsk_perception/BackgroundSubstraction" "background_substraction")
jsk_add_nodelet(src/fisheye_to_panorama.cpp "jsk_perception/FisheyeToPanorama" "fisheye_to_panorama")
jsk_add_nodelet(src/point_pose_extractor.cpp "jsk_perception/PointPoseExtractor" "point_pose_extractor")
# See https://github.com/drNoob13/fisheyeStitcher#pre-requisite
if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "7.0" AND # >= 7.1
   "${OpenCV_VERSION}" VERSION_GREATER "2.9.9" AND # >= 3.0.0
   "${CMAKE_MAJOR_VERSION}" VERSION_GREATER "2") # >= 3
  jsk_add_nodelet(src/dual_fisheye_to_panorama.cpp "jsk_perception/DualFisheyeToPanorama" "dual_fisheye_to_panorama")
endif()
jsk_add_nodelet(src/grabcut_nodelet.cpp "jsk_perception/GrabCut" "grabcut")
jsk_add_nodelet(src/slic_superpixels.cpp "jsk_perception/SLICSuperPixels" "slic_super_pixels")
jsk_add_nodelet(src/rgb_decomposer.cpp "jsk_perception/RGBDecomposer" "rgb_decomposer")
jsk_add_nodelet(src/hsv_decomposer.cpp "jsk_perception/HSVDecomposer" "hsv_decomposer")
jsk_add_nodelet(src/lab_decomposer.cpp "jsk_perception/LabDecomposer" "lab_decomposer")
jsk_add_nodelet(src/ycc_decomposer.cpp "jsk_perception/YCCDecomposer" "ycc_decomposer")
jsk_add_nodelet(src/contour_finder.cpp "jsk_perception/ContourFinder" "contour_finder")
if("${OpenCV_VERSION}" VERSION_LESS "3")  # CvSnakeImage has been removed in opencv3
  jsk_add_nodelet(src/snake_segmentation.cpp "jsk_perception/SnakeSegmentation" "snake_segmentation")
endif()
jsk_add_nodelet(src/colorize_labels.cpp "jsk_perception/ColorizeLabels" "colorize_labels")
jsk_add_nodelet(src/colorize_float_image.cpp "jsk_perception/ColorizeFloatImage" "colorize_float_image")
jsk_add_nodelet(src/overlay_image_color_on_mono.cpp "jsk_perception/OverlayImageColorOnMono" "overlay_image_color_on_mono")
jsk_add_nodelet(src/grid_label.cpp "jsk_perception/GridLabel" "grid_label")
jsk_add_nodelet(src/color_histogram_label_match.cpp "jsk_perception/ColorHistogramLabelMatch" "color_histogram_label_match")
jsk_add_nodelet(src/apply_mask_image.cpp "jsk_perception/ApplyMaskImage" "apply_mask_image")
jsk_add_nodelet(src/invert_mask_image.cpp "jsk_perception/InvertMaskImage" "invert_mask_image")
jsk_add_nodelet(src/unapply_mask_image.cpp "jsk_perception/UnapplyMaskImage" "unapply_mask_image")
jsk_add_nodelet(src/single_channel_histogram.cpp "jsk_perception/SingleChannelHistogram" "single_channel_histogram")
jsk_add_nodelet(src/blob_detector.cpp "jsk_perception/BlobDetector" "blob_detector")
jsk_add_nodelet(src/add_mask_image.cpp "jsk_perception/AddMaskImage" "add_mask_image")
jsk_add_nodelet(src/subtract_mask_image.cpp "jsk_perception/SubtractMaskImage" "subtract_mask_image")
jsk_add_nodelet(src/multiply_mask_image.cpp "jsk_perception/MultiplyMaskImage" "multiply_mask_image")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/ErodeMaskImage" "erode_mask_image")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/DilateMaskImage" "dilate_mask_image")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/Opening" "opening")
jsk_add_nodelet(src/morphological_operator.cpp "jsk_perception/Closing" "closing")

=== docker/Makefile ===
#
# Author: Yoshiki Obinata <obinata@jsk.imi.i.u-tokyo.ac.jp>
#

# api directories
OFAPROJECT = ofa
CLIPPROJECT = clip
# image names
OFAIMAGE = jsk-ofa-server
CLIPIMAGE = jsk-clip-server
# commands
BUILDIMAGE = docker build
REMOVEIMAGE = docker rmi
# configuration directories
ifdef ROS_HOME
CONFIGDIR = $(ROS_HOME)/data/jsk_perception
else
CONFIGDIR = $(HOME)/.ros/data/jsk_perception
endif
PARAMDIR = $(CONFIGDIR)/vil_params
# Download files
PARAMURLS = parameter_urls.txt
# OFA parameters
OFAPARAMFILES = $(foreach param, $(OFAPARAMS), $(PARAMDIR)/$(param))

all: ofa clip

# TODO check command wget exists, nvidia-driver version

# TODO add clip
$(PARAMDIR)/.download:
	@if [ ! -d $(PARAMDIR) ]; then\
		mkdir -p $(PARAMDIR); \
	fi
	wget -c -i $(PARAMURLS) -P $(PARAMDIR)
	touch $(PARAMDIR)/.download

ofa: $(PARAMDIR)/.download
	$(BUILDIMAGE) $(OFAPROJECT) -t $(OFAIMAGE) -f $(OFAPROJECT)/Dockerfile

clip: $(PARAMDIR)/.download
	$(BUILDIMAGE) $(CLIPPROJECT) -t $(CLIPIMAGE) -f $(CLIPPROJECT)/Dockerfile

# TODO add clip, glip
clean:
	@$(REMOVEIMAGE) $(OFAIMAGE)

wipe: clean
	rm -fr $(PARAMDIR)

.PHONY: clean wipe ofa clip

=== docker/clip/requirements.txt ===
backcall==0.2.0
brotlipy==0.7.0
certifi==2020.12.5
click==8.1.3
conda==4.9.2
conda-build==3.21.4
decorator==4.4.2
dnspython==2.1.0
Flask==2.2.3
ftfy==6.1.1
importlib-metadata==6.1.0
itsdangerous==2.1.2
Jinja2==3.1.2
MarkupSafe==2.1.2
mkl-fft==1.2.0
mkl-random==1.1.1
mkl-service==2.3.0
olefile==0.46
opencv-python==4.7.0.72
parso==0.7.0
pkginfo==1.7.0
pycosat==0.6.3
python-etcd==0.4.5
PyYAML==5.3.1
regex==2023.3.23
ruamel-yaml==0.15.87
torch==1.7.1
torchelastic==0.2.1
torchvision==0.8.2
Werkzeug==2.2.3
zipp==3.15.0

=== docker/ofa/requirements.txt ===
absl-py==1.4.0
aiohttp==3.8.4
aiosignal==1.3.1
antlr4-python3-runtime==4.8
async-timeout==4.0.2
attrs==22.2.0
bitarray==2.7.3
brotlipy==0.7.0
cachetools==5.3.0
certifi==2020.12.5
charset-normalizer==3.1.0
click==8.1.3
colorama==0.4.6
conda==4.9.2
conda-build==3.21.4
contourpy==1.0.7
cycler==0.11.0
Cython==0.29.33
datasets==2.11.0
dill==0.3.6
dnspython==2.1.0
einops==0.6.0
Flask==2.2.3
fonttools==4.39.3
frozenlist==1.3.3
fsspec==2023.3.0
ftfy==6.0.3
google-auth==2.17.1
google-auth-oauthlib==0.4.6
grpcio==1.53.0
huggingface-hub==0.13.3
hydra-core==1.0.7
importlib-metadata==6.1.0
importlib-resources==5.12.0
itsdangerous==2.1.2
jedi==0.17.0
Jinja2==3.1.2
joblib==1.2.0
kiwisolver==1.4.4
lightning-utilities==0.8.0
lxml==4.9.2
Markdown==3.4.3
MarkupSafe==2.1.2
matplotlib==3.7.1
mkl-fft==1.3.0
mkl-random==1.1.1
mkl-service==2.3.0
multidict==6.0.4
multiprocess==0.70.14
nltk==3.8.1
numpy==1.23.5
oauthlib==3.2.2
olefile==0.46
omegaconf==2.0.6
opencv-python==4.7.0.72
packaging==23.0
pandas==1.5.3
pkginfo==1.7.0
portalocker==2.7.0
protobuf==3.19.6
pyarrow==11.0.0
pyasn1==0.4.8
pyasn1-modules==0.2.8
pycocoevalcap==1.2
pycocotools==2.0.4
pycosat==0.6.3
pyDeprecate==0.3.2
pyparsing==3.0.9
python-dateutil==2.8.2
python-etcd==0.4.5
pytorch-lightning==1.7.7
PyYAML==5.4.1
regex==2023.3.23
requests-oauthlib==1.3.1
responses==0.18.0
rouge-score==0.1.2
rsa==4.9
ruamel-yaml==0.15.87
sacrebleu==2.3.1
tabulate==0.9.0
tensorboard==2.12.0
tensorboard-data-server==0.7.0
tensorboard-plugin-wit==1.8.1
tensorboardX==2.4.1
timm==0.6.13
torch==1.8.1
torchelastic==0.2.2
torchmetrics==0.11.4
torchtext==0.9.1
torchvision==0.9.1
tqdm==4.65.0
typing-extensions==4.5.0
Werkzeug==2.2.3
xxhash==3.2.0
yarl==1.8.2
zipp==3.15.0

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-6noble.20251031.2113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 31 Oct 2025 21:13:10 +0000

ros-one-jsk-perception (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-perception (1.2.18-0noble) noble; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * [jsk_perception/sample/apply_mask] Add clip and negative option for users (#2707 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2707>)
  * fix tile image (#2875 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2875>)
  * collections.abc.Sequence does not work on python2 (#2872 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2872>)
  * use cv2.putText if font is not found (#2868 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2868>)
  * add use_mask param in solidity_rag_merge (#2855 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2855>)
  * publish compressed tile image (#2857 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2857>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-perception (1.2.17-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-perception (1.2.16-0noble) noble; urgency=high

  * [AWS] use logdebug when detect face (#2766 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2766>)
  * Aws face update (#2744 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2744>)
  * [jsk_perception] Add invert_mask_image nodelet (#2726 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2726>)
  * [jsk_perception] Support compressed type image in vil_inference_client.py (#2800 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2800>)
  * [jsk_perception] Fix Cosine Similarity description in visualize  string msg of classification_node (#2794 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2794>)
  * fix ofa docker build (#2784 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2784>)
  * [jsk_perception][insta360][dual_fisheye_to_panorama] Add always subscribe arg (#2777 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2777>)
  * [feature] VQA using Large-Scale Vision and Language model (#2730 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2730>)
  * [jsk_perception] Fix nodehandle in point_pose_extractor (#2779 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2779>)
  * [jsk_perception] Use cpp version of split_image in sample_insta360_air.launch (#2772 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2772>)
  * [split_image] add cpp version of split_image (#2770 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2770>)
  * add video to scene (#2736 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2736>)
  * [jsk_perception/point_pose_extractor] Use DiagnosticNodelet to improve subscribing (#2722 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2722>)
  * [jsk_perception] Poke in dual_fisheye_to_panorama for DiagnosticNodelet (#2734 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2734>)
  * add image_height and image_width in PanoramaInfo (#2753 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2753>)
  * [jsk_perception] Add header to output/vis (#2758 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2758>)
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * [jsk_perception] support image_transport in DualFisheyeToPanorama (#2745 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2745>)
  * [jsk_perception/dualfisheye_panorama] poke in callback (#2690 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2690>)
  * use catkin_install_python to install python scripts under node_scripts/ scripts/ (#2743 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2743>)
  * [feature] removing blurred frames node (#2718 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2718>)
  * Parameterize DualFisheyeToPanorama node (#2642 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2642>)
  * [jsk_perception/apply_mask] Avoid error in cvtColor when masked_image is empty (#2725 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2725>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [jsk_perception/mask_image_to_rect] Add rect_type option to publish rects containing each contour of mask image (#2728 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2728>)
  * [jsk_perception/VirtualCameraMono] Add queue_size param (#2724 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2724>)
  * [jsk_perception][jsk_pcl_ros_utils][resized_image_transport] Call onInitPostProcess() (#2719 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2719>)
  * [jsk_perception] return when camera info message is None (#2676 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2676>)
  * [jsk_perception/aws_auto_checkin_app] Use search_faces_by_image() of Amazon Rekognition (#2716 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2716>)
  * [jsk_perception/robot_to_mask_image] Fix image size considering binning (#2713 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2713>)


=== debian/control ===
Source: ros-one-jsk-perception
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, libeigen3-dev, libyaml-cpp-dev, ros-one-angles, ros-one-catkin, ros-one-cmake-modules, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view2, ros-one-jsk-data, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools, ros-one-libcmt, ros-one-libuvc-camera, ros-one-message-generation, ros-one-mk, ros-one-nodelet, ros-one-opencv-apps, ros-one-pcl-ros, ros-one-posedetection-msgs, ros-one-robot-self-filter, ros-one-ros-environment, ros-one-roscpp, ros-one-roseus, ros-one-rospack, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_perception
Standards-Version: 3.9.2

Package: ros-one-jsk-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libleveldb-dev, libyaml-cpp-dev, python3-boto3, python3-h5py, python3-requests, python3-sklearn, python3-yaml, ros-one-angles, ros-one-checkerboard-detector, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-fetch-description, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view, ros-one-image-view2, ros-one-imagesift, ros-one-jsk-data, ros-one-jsk-gui-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-rqt-plugins, ros-one-jsk-topic-tools, ros-one-libcmt, ros-one-libuvc-camera, ros-one-message-runtime, ros-one-mk, ros-one-ml-classifiers, ros-one-nodelet, ros-one-opencv-apps, ros-one-openni2-launch, ros-one-pcl-ros, ros-one-posedetection-msgs, ros-one-robot-self-filter, ros-one-rosbag, ros-one-roscpp, ros-one-roseus, ros-one-rospack, ros-one-rospy, ros-one-rostopic, ros-one-rqt-gui, ros-one-rviz, ros-one-sensor-msgs, ros-one-sound-play, ros-one-std-msgs, ros-one-tf, ros-one-tf2-geometry-msgs, ros-one-topic-tools, tesseract-ocr, tesseract-ocr-jpn
Description: ROS nodes and nodelets for 2-D image perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-perception//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-perception 1.2.19-10jammy.20251208.0803

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-10jammy.20251208.0803) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 08:03:30 +0000

## ros-one-jsk-perception 1.2.19-12jammy.20251215.2234

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-12jammy.20251215.2234) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:34:28 +0000

## ros-one-jsk-perception 1.2.19-12jammy.20260106.2211

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-12jammy.20260106.2211) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:11:24 +0000

## ros-one-jsk-perception 1.2.19-12jammy.20260222.0055

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-12jammy.20260222.0055) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:55:07 +0000

## ros-one-jsk-perception 1.2.19-12noble.20251215.2231

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-12noble.20251215.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:31:51 +0000

## ros-one-jsk-perception 1.2.19-12noble.20260106.2225

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-12noble.20260106.2225) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:25:13 +0000

## ros-one-jsk-perception 1.2.19-12noble.20260222.2118

=== debian/changelog ===
ros-one-jsk-perception (1.2.19-12noble.20260222.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 21:18:39 +0000
